## Guide and electronics
Connected to new electronics October 2024

## Channels

SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD0  
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD1   
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD2  
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD3  
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD4  

## Diode

### Connections
As of 25.10.23
The diode connections are as follows:

| Label on flange | EPICS user panel |
| ------ | ------ |
| 2 | 0 (PDL) |
| 3 | 1 (PDU) |
| 1 | 2 (PDD) |
| 4 | 3 (PDR) |

### Test
Using multimeter
- Forward bias voltage drop of 0.4 V
- Forward bias resistance 0.9 MOhm
- Reverse bias voltage drop of 0.0 V

Diodes are PIPs diodes

## Drawings

## Target history

**Eco settings**
| Index | Target |x pos [mm]|
| ------ | ------ |------ |
| 0 | Si3N4_200nm target |-18.6493  mm|
| 1 | Si3N4_500nm target |-7.76965  mm|
| 2 | Si3N4_1um target |3.32048  mm|
| 3 | Si3N4_2um target |14.2803  mm|



## Device motion

Values:

## BS config

IOC for front end:

`SAROP21-CVME-PBPS2.psi.ch`

If the bs config needs to be updated use the following channels

```python
bs config SAROP21-CVME-PBPS2 -u
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD0                      1      0
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD1                      1      0
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD2                      1      0
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD3                      1      0
SARES21-PBPS141:Lnk9Ch0-PP_VAL_PD4                      1      0