## Guide and electronics
**Electronics updated July 2023**
## Drawings
- [Overview](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=197885&pPosInQueryList=1&pCount=831&pIndexInQueryList=35&pKrz=&pHg=50024&pUg=24&pLnr=&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [Device](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=197886&pPosInQueryList=1&pCount=831&pIndexInQueryList=36&pKrz=&pHg=50024&pUg=24&pLnr=&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [Diode holder](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=197909&pPosInQueryList=1&pCount=831&pIndexInQueryList=59&pKrz=&pHg=50024&pUg=24&pLnr=&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)

## Target history
15.11.21  
The device was opened, and the targets changed to:
- Lower: 1 um diamond
- Middle: 200 nm SiN
- Top: 50 nm SiN  
Note the 1 um target is marked around a couple of millimetres from the deposition process,

## Device motion
The following motors are used to scan the device position used to calibrate the device.  
- SAROP21-PBPS133:MOTOR_X1
- SAROP21-PBPS133:MOTOR_Y1

Values:
- SAROP21-PBPS133:MOTOR_X1.VAL
- SAROP21-PBPS133:MOTOR_Y1.VAL

## BS config
```
bs config SAROP21-CVME-PBPS3 -u
SAROP21-PBPS133:Lnk9Ch0-PP_VAL_PD0                      1      0
SAROP21-PBPS133:Lnk9Ch0-PP_VAL_PD1                      1      0
SAROP21-PBPS133:Lnk9Ch0-PP_VAL_PD2                      1      0
SAROP21-PBPS133:Lnk9Ch0-PP_VAL_PD3                      1      0
```