## General ##

[Alignment guide](Aramis spatial diagnostics/Aramis Alignment)  
[What's with all these names?](Aramis spatial diagnostics/Chat about screens)


## Photon screens
The following spatial diagnostics are installed in the Aramis FEL
**Purpose:** Alignment of FEL, monitor of position and intensity, spatial profile measurement  
> ### Front end
>[SARFE10-PPRM053](Aramis spatial diagnostics/SARFE10 PPRM053)

> ### Optics hutch common
>[SARFE10-PPRM064](Aramis-spatial-diagnostics/SARFE10 PPRM064)

> ### Optics hutch Alvra
>[SARFE10-PPRM066](Aramis-spatial-diagnostics/SARFE10 PPRM066)  
>[SAROP11-PPRM078](Aramis-spatial-diagnostics/SAROP11 PPRM078)  
>[SAROP11-PSCR106](Aramis-spatial-diagnostics/SAROP11 PSCR106)  
>[SAROP11-PSCR106](Aramis-spatial-diagnostics/SAROP11 PSCR109)  
>[SAROP11-PPRM110](Aramis-spatial-diagnostics/SAROP11 PPRM110)  

> ### Alvra hutch
>[SAROP11-PPRM117](Aramis-spatial-diagnostics/SAROP11 PPRM117)  
>[SAROP11-PPRM122](Aramis-spatial-diagnostics/SAROP11 PPRM122)

> ### Optics hutch Bernina
>[SAROP21-PPRM094](Aramis-spatial-diagnostics/SAROP21 PPRM094)  
>[SAROP21-PSCR097](Aramis-spatial-diagnostics/SAROP21 PSCR097)  
>[SAROP21-PPRM113](Aramis-spatial-diagnostics/SAROP21 PPRM113)  

> ### Bernina hutch
>[SAROP21-PPRM133](Aramis-spatial-diagnostics/SAROP21 PPRM133)  
>[SAROP21-PPRM138](Aramis-spatial-diagnostics/SAROP21 PPRM138)  
  
> ### Optics hutch Cristallina
>[SAROP31-PSCR068](Aramis-spatial-diagnostics/SAROP31 PSCR068)  
>[SAROP31-PPPRM085](Aramis-spatial-diagnostics/SAROP31 PPRM085)  
>[SAROP31-PPRM113](Aramis-spatial-diagnostics/SAROP31 PPRM113) 

> ### Cristallina hutch 
>[SAROP31-PPRM150](Aramis-spatial-diagnostics/SAROP31 PPRM150)  
>[SAROP31-PSCD153](Aramis-spatial-diagnostics/SAROP31 PSCD153)  

## Spontaneous radiation detector  
**Purpose:** Imaging of spontaneous radiation, primarily for ID commissioning

> ### Optics hutch - Bernina
>[SAROP21-PSRD103](Aramis-spatial-diagnostics/SAROP21 PSRD103)

# Debug guide
```mermaid
%%{
  init: {
    'theme': 'base',
    'themeVariables': {
      'primaryColor': '#825AA6',
      'primaryTextColor': '#fff',
      'primaryBorderColor': '#825AA6',
      'lineColor': '#000',
      'secondaryColor': '#000',
      'tertiaryColor': '#fff'
    }
  }
}%%

flowchart TD
    C{Type of issue}
    C -->|Motion control| D[Scott Stubbs]
    C -->|Camera issue| E[Scott Stubbs]
    C -->|Data issue| F[Edwin Divall]
    D -->|Not available| G[Claude Pradervand]
    E -->|Not available| G[Claude Pradervand]
    F -->|Not available| G[Tine Celcer]
```